function [maxRow maxRowIndex maxRowValue] = getMaxRow(A, j)
%GETMAXROW Row of 2D matrix with largest value in specified column.
%   MAXROW = GETMAXROW(A, J) returns the row of the MxN matrix A, the value
%   of which in the Jth column is the largest of A.

%   Author: Damien Teney

if isempty(A)
  maxRow = zeros(0, size(A, 2)); % Return a vector with the same number of columns as A (even though A has zero rows, its number of columns IS defined)
  maxRowIndex = 0;
  maxRowValue = [];
else
  [maxRowValue maxRowIndex] = max(A(:, j));

  % Keep only 1 maximum
  maxRowValue = maxRowValue(1);
  maxRowIndex = maxRowIndex(1);

  maxRow = A(maxRowIndex, :);
end
