function v2 = repvec(v, n)
%REPVEC Replicate a vector.
%   V = REPVEC(V, N) replicates the vector V N times, the output is thus of
%   size length(V) * N. Similar to Matlab's REPMAT(), but simpler and
%   faster.
%
%   The result is a vector of size (length(V) * N) x 1.

%   Author: Damien Teney

v = v(:);
v2 = reshape(v(:, ones(n, 1)), n * length(v), 1);
